
### Defines C/C++ compilation options

CCFLAGS  = -Wno-dangling-reference
INCDIRS  = -I/usr/include/opencv4 -I/usr/local/include/opencv4
AIDEDEPS = aidesys wjson stepsolver symbolingtype symbolingfield
PY_HPP   = ../node_modules/wjson/src/Value.hpp ../node_modules/stepsolver/src/Numeric.hpp ../node_modules/stepsolver/src/Driver.hpp ../node_modules/symbolingtype/src/Type.hpp ../node_modules/symbolingtype/src/NumericType.hpp ../node_modules/symbolingfield/src/ScalarField.hpp ../node_modules/symbolingfield/src/Trajectory.hpp opencv.hpp
PY_INC   = -I/usr/include/opencv4 
LIBS     = -lopencv_core -lopencv_imgproc -lopencv_imgcodecs

### Defining demos

BUILD = embeddingdemo

embeddingdemo:
	$(MAKE) -C ../public/embeddingdemo build type=type.json field=field.json

### Includes aidebuild standard usage,build,test,clean,sync rules
include ./.makefile.inc
